#!/bin/bash
# 사용자로부터 파일 이름을 입력 받음
read -p "파일 이름을 입력해주세요(Please Enter Kotlin File Name) (ex. Main.kt -> Main ) : " filename
line="---------------------------"
echo -e "\e[33m[System] Now, currently converting the Kotlin file. Please wait a moment.\e[0m"
echo ${line}
# ./jar 경로에 빌드된 파일을 저장할 것이므로, 확인후 폴더 생성
if [ ! -d "jar" ]; then
    mkdir jar
fi

# Kotlin 파일 컴파일 및 실행 가능한 JAR 파일 생성
kotlinc "${filename}.kt" -include-runtime -d "jar/${filename}.jar"
echo ${line}
# 생성된 JAR 파일 실행
java -jar jar/${filename}.jar
echo -e "\n\e[32mThe Kotlin file named '${filename}.kt' has been successfully built into '${filename}.jar'!\e[0m" # 종료 문구